Subject: bug#24831: shr mangling messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Nov 2016 11:06:17 +0100

Katsumi Yamaoka <[email-masked]> writes:

> I tried fixing it.  A patch is below.  But I feel it somewhat
> awkward, so I hope Lars or someone will review it.  My patch
> simply adds the missing td tag as follows:
>
> (table nil (tr nil contents))
> 	↓
> (table nil (tr nil (td nil contents)))

I'm not sure I think it's worth trying to work around invalid HTML to
this extent.

In addition, other browsers do not correct "missing" TDs in this way:
Instead they typically render non-TD/TH nodes before the table, which I
think might be a better idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no